
import base_section

from runtest import conditions

class VolumeFeatureEnabled(base_section.BaseSection):

    name = "volume-feature-enabled"
    options = [
        'api_extensions',
        'api_v1',
        'api_v2',
        'api_v3',
        'backup',
        'clone',
        'extend_attached_volume',
        'manage_snapshot',
        'manage_volume',
        'multi_backend',
        'snapshot',
    ]


    @property
    def api_extensions(self):
        pass

    @property
    def api_v1(self):
        pass

    @property
    def api_v2(self):
        pass

    @property
    def api_v3(self):
        pass

    @property
    def backup(self):
        # Currently our cinder formula supports only cinder backend
        # collocated together with cinder volume.
        c = conditions.BaseRule('cinder.volume.enabled', 'eq', True)
        return bool(self.get_item_when_condition_match(
            'cinder.volume.backup.engine', c))

    @property
    def clone(self):
        pass

    @property
    def extend_attached_volume(self):
        pass

    @property
    def manage_snapshot(self):
        pass

    @property
    def manage_volume(self):
        pass

    @property
    def multi_backend(self):
        pass

    @property
    def snapshot(self):
        pass
